Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:37 2009

## Asterisk developer's documentation

# dundi_transaction Struct Reference

Collaboration diagram for dundi_transaction:

[legend]

## Data Fields

struct sockaddr_in | addr
struct dundi_transaction * | allnext
unsigned char | aseqno
int | autokillid
int | autokilltimeout
aes_decrypt_ctx | dcx
unsigned short | dtrans
aes_encrypt_ctx | ecx
int | eidcount
dundi_eid | eids [DUNDI_MAX_STACK+1]
unsigned int | flags
unsigned char | iseqno
struct dundi_packet * | lasttrans
struct dundi_transaction * | next
unsigned char | oiseqno
unsigned char | oseqno
struct dundi_packet * | packets
struct dundi_request * | parent
int | retranstimer
struct timeval | start
unsigned short | strans
dundi_eid | them_eid
int | thread
int | ttl
dundi_eid | us_eid

## Detailed Description

Definition at line 179 of file pbx_dundi.c.

## Field Documentation

struct sockaddr_in addr`[read]`

Definition at line 180 of file pbx_dundi.c.

Referenced by apply_peer(), dundi_reject(), dundi_rexmit(), dundi_send(), dundi_show_trans(), dundi_xmit(), find_transaction(), and handle_command_response().

struct dundi_transaction* allnext`[read]`

Definition at line 204 of file pbx_dundi.c.

Referenced by create_transaction(), destroy_trans(), dundi_show_trans(), find_transaction(), and get_trans_id().

unsigned char aseqno

Definition at line 199 of file pbx_dundi.c.

Referenced by dundi_send(), dundi_show_trans(), handle_command_response(), handle_frame(), and reset_transaction().

int autokillid

Definition at line 192 of file pbx_dundi.c.

Referenced by ack_trans(), create_transaction(), destroy_trans(), do_autokill(), dundi_discover(), dundi_query(), and precache_trans().

int autokilltimeout

Definition at line 193 of file pbx_dundi.c.

Referenced by apply_peer(), dundi_discover(), dundi_query(), and precache_trans().

aes_decrypt_ctx dcx

Definition at line 187 of file pbx_dundi.c.

Referenced by dundi_decrypt(), dundi_encrypt(), and handle_command_response().

unsigned short dtrans

Definition at line 195 of file pbx_dundi.c.

Referenced by dundi_send(), dundi_show_trans(), find_transaction(), and reset_transaction().

aes_encrypt_ctx ecx

Definition at line 186 of file pbx_dundi.c.

Referenced by dundi_encrypt(), and handle_command_response().

int eidcount

Definition at line 183 of file pbx_dundi.c.

Referenced by append_transaction(), dundi_discover(), dundi_query(), optimize_transactions(), and precache_trans().

dundi_eid eids[DUNDI_MAX_STACK+1]

Definition at line 182 of file pbx_dundi.c.

Referenced by append_transaction(), dundi_discover(), dundi_query(), optimize_transactions(), and precache_trans().

unsigned int flags

Definition at line 188 of file pbx_dundi.c.

unsigned char iseqno

Definition at line 196 of file pbx_dundi.c.

Referenced by dundi_send(), dundi_show_trans(), handle_command_response(), handle_frame(), and reset_transaction().

struct dundi_packet* lasttrans`[read]`

Definition at line 201 of file pbx_dundi.c.

Referenced by ack_trans(), destroy_trans(), handle_command_response(), and handle_frame().

struct dundi_transaction* next`[read]`

Definition at line 202 of file pbx_dundi.c.

Referenced by append_transaction(), cancel_request(), destroy_trans(), discover_transactions(), optimize_transactions(), precache_transactions(), and query_transactions().

unsigned char oiseqno

Definition at line 197 of file pbx_dundi.c.

Referenced by handle_frame(), and reset_transaction().

unsigned char oseqno

Definition at line 198 of file pbx_dundi.c.

Referenced by dundi_send(), dundi_show_trans(), handle_command_response(), and reset_transaction().

struct dundi_packet* packets`[read]`

Definition at line 200 of file pbx_dundi.c.

Referenced by ack_trans(), destroy_packet(), destroy_trans(), and dundi_send().

struct dundi_request* parent`[read]`

Definition at line 203 of file pbx_dundi.c.

Referenced by append_transaction(), cancel_request(), destroy_trans(), dundi_discover(), dundi_prop_precache(), dundi_query(), handle_command_response(), and precache_trans().

int retranstimer

Definition at line 191 of file pbx_dundi.c.

Referenced by apply_peer(), create_transaction(), and dundi_send().

struct timeval start`[read]`

Definition at line 181 of file pbx_dundi.c.

Referenced by create_transaction(), and destroy_trans().

unsigned short strans

Definition at line 194 of file pbx_dundi.c.

Referenced by create_transaction(), dundi_send(), dundi_show_trans(), find_transaction(), get_trans_id(), and reset_transaction().

dundi_eid them_eid

Definition at line 185 of file pbx_dundi.c.

Referenced by apply_peer(), destroy_trans(), do_autokill(), dundi_encrypt(), dundi_prop_precache(), dundi_send(), handle_command_response(), optimize_transactions(), and precache_trans().

int thread

Definition at line 190 of file pbx_dundi.c.

Referenced by destroy_trans(), dundi_answer_entity(), dundi_answer_query(), dundi_lookup_thread(), dundi_precache_thread(), dundi_prop_precache(), dundi_query_thread(), and precache_transactions().

int ttl

Definition at line 189 of file pbx_dundi.c.

Referenced by append_transaction(), dundi_discover(), dundi_query(), and precache_trans().

dundi_eid us_eid

Definition at line 184 of file pbx_dundi.c.

Referenced by apply_peer(), do_register(), dundi_discover(), dundi_encrypt(), dundi_lookup_thread(), dundi_query(), dundi_query_thread(), handle_command_response(), optimize_transactions(), and precache_trans().

The documentation for this struct was generated from the following file:

- pbx_dundi.c